org.apache.poi.wp.usermodel

## Interface CharacterRun

- All Known Implementing Classes:
    CharacterRun, XWPFFieldRun, XWPFHyperlinkRun, XWPFRun

      public interface CharacterRun

  This class represents a run of text that share common properties.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getCharacterSpacing()`
    `java.lang.String` | `getFontName()` Gets the fonts which shall be used to display the text contents of this run.
    `int` | `getFontSize()`
    `int` | `getKerning()`
    `boolean` | `isBold()`
    `boolean` | `isCapitalized()`
    `boolean` | `isDoubleStrikeThrough()`
    `boolean` | `isEmbossed()`
    `boolean` | `isHighlighted()`
    `boolean` | `isImprinted()`
    `boolean` | `isItalic()`
    `boolean` | `isShadowed()`
    `boolean` | `isSmallCaps()`
    `boolean` | `isStrikeThrough()`
    `void` | `setBold(boolean bold)`
    `void` | `setCapitalized(boolean caps)`
    `void` | `setCharacterSpacing(int twips)`
    `void` | `setDoubleStrikethrough(boolean dstrike)`
    `void` | `setEmbossed(boolean emboss)`
    `void` | `setFontSize(int halfPoints)`
    `void` | `setImprinted(boolean imprint)`
    `void` | `setItalic(boolean italic)`
    `void` | `setKerning(int kern)`
    `void` | `setShadow(boolean shadow)`
    `void` | `setSmallCaps(boolean smallCaps)`
    `void` | `setStrikeThrough(boolean strike)`
    `java.lang.String` | `text()`

- - ### Method Detail

    - #### isBold

          boolean isBold()

    - #### setBold

          void setBold(boolean bold)

    - #### isItalic

          boolean isItalic()

    - #### setItalic

          void setItalic(boolean italic)

    - #### isSmallCaps

          boolean isSmallCaps()

    - #### setSmallCaps

          void setSmallCaps(boolean smallCaps)

    - #### isCapitalized

          boolean isCapitalized()

    - #### setCapitalized

          void setCapitalized(boolean caps)

    - #### isStrikeThrough

          boolean isStrikeThrough()

    - #### setStrikeThrough

          void setStrikeThrough(boolean strike)

    - #### isDoubleStrikeThrough

          boolean isDoubleStrikeThrough()

    - #### setDoubleStrikethrough

          void setDoubleStrikethrough(boolean dstrike)

    - #### isShadowed

          boolean isShadowed()

    - #### setShadow

          void setShadow(boolean shadow)

    - #### isEmbossed

          boolean isEmbossed()

    - #### setEmbossed

          void setEmbossed(boolean emboss)

    - #### isImprinted

          boolean isImprinted()

    - #### setImprinted

          void setImprinted(boolean imprint)

    - #### getFontSize

          int getFontSize()

    - #### setFontSize

          void setFontSize(int halfPoints)

    - #### getCharacterSpacing

          int getCharacterSpacing()

    - #### setCharacterSpacing

          void setCharacterSpacing(int twips)

    - #### getKerning

          int getKerning()

    - #### setKerning

          void setKerning(int kern)

    - #### isHighlighted

          boolean isHighlighted()

    - #### getFontName

          java.lang.String getFontName()

      Gets the fonts which shall be used to display the text contents of this run. Specifies a font which shall be used to format all "normal" characters in the run
      Returns:
        a string representing the font

    - #### text

          java.lang.String text()

      Returns:
        The text of the run, including any tabs/spaces/etc

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.